# Asterisk Project : Asterisk 12 ManagerAction_PJSIPShowEndpoint

Added by wikibot , edited by wikibot on Nov 24, 2013

# PJSIPShowEndpoint

### Synopsis

Detail listing of an endpoint and its objects.

### Description

Provides a detailed listing of options for a given endpoint. Events are issued showing the configuration and status of the endpoint and associated objects. These events include `EndpointDetail`, `AorDetail`, `AuthDetail`, `TransportDetail`, and `IdentifyDetail`. Some events may be listed multiple times if multiple objects are associated (for instance AoRs). Once all detail events have been raised a final `EndpointDetailComplete` event is issued.

### Syntax

    Action: PJSIPShowEndpoint
    ActionID: <value>
    Endpoint: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Endpoint` - The endpoint to list.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r403134